<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MarketingMessageBroadcastAction extends \Google\Protobuf\Internal\Message
{
    


    protected $repliedCount = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getRepliedCount()
    {
        return isset($this->repliedCount) ? $this->repliedCount : 0;
    }

    public function hasRepliedCount()
    {
        return isset($this->repliedCount);
    }

    public function clearRepliedCount()
    {
        unset($this->repliedCount);
    }

    




    public function setRepliedCount($var)
    {
        GPBUtil::checkInt32($var);
        $this->repliedCount = $var;

        return $this;
    }

}

